python-oslotest (1:4.5.0-0ubuntu2~cloud0) focal-yoga; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 15 Dec 2021 16:51:08 +0000

python-oslotest (1:4.5.0-0ubuntu2) jammy; urgency=medium

  * d/control: Drop python3-mock as upstream has switched
    to unittest.mock.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Dec 2021 11:29:15 -0500

python-oslotest (1:4.5.0-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:36:44 -0400

python-oslotest (1:4.4.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:37:17 -0400

python-oslotest (1:4.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control, d/copyright, d/rules: Update upstream git URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 14:58:26 -0400

python-oslotest (1:4.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/rules: Switch PYBUILD_NAME to module name.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:24:30 -0400

python-oslotest (1:4.2.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:31:43 -0400

python-oslotest (1:3.9.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 11:15:05 +0000

python-oslotest (1:3.8.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:35:33 +0100

python-oslotest (1:3.8.0-0ubuntu1) eoan; urgency=medium

  * d/control, d/rules, d/python(3)-oslotest.p*: Drop Python 2
    support.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Jul 2019 16:02:44 -0400

python-oslotest (1:3.7.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:04:55 +0000

python-oslotest (1:3.7.0-0ubuntu2) disco; urgency=medium

  * d/python3-oslotest.postinst: Prefer Py3 alternatives.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 12:08:18 +0000

python-oslotest (1:3.7.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:28:39 +0000

python-oslotest (1:3.6.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Aug 2018 15:16:55 -0400

python-oslotest (1:3.5.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/control: Enable autopkgtest-pkg-python.
    - d/control,compat: Bump to debhelper compat 10.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Jun 2018 11:56:20 +0100

python-oslotest (1:3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:28:15 +0000

python-oslotest (1:3.2.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Standards-Version is now 4.1.3.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 13:08:36 +0000

python-oslotest (1:3.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 14:14:34 -0500

python-oslotest (1:3.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Nov 2017 10:58:59 +0000

python-oslotest (1:2.17.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Standards-Version is now 4.1.1.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:28:43 +0000

python-oslotest (1:2.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Sep 2017 21:20:25 +0200

python-oslotest (1:2.17.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 09:11:03 -0400

python-oslotest (1:2.16.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 15:00:51 -0400

python-oslotest (1:2.15.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/control: Bump version dependencies.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:04:52 +0100

python-oslotest (1:2.13.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:32:10 -0500

python-oslotest (1:2.12.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add autopkgtest.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 09:13:14 -0500

python-oslotest (1:2.11.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 
  * debian/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Nov 2016 09:27:05 -0500

python-oslotest (1:2.10.0-0ubuntu1) yakkety; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 10:22:16 -0400

python-oslotest (1:2.3.0-1) unstable; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 22:55:18 +0000

python-oslotest (1:2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Nov 2015 15:42:27 +0100

python-oslotest (1:1.11.0-2) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:30:21 +0000

python-oslotest (1:1.11.0-1) unstable; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Update uploaders.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:23:25 +0000

python-oslotest (1:1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added myself as uploader.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Tue, 08 Sep 2015 12:41:27 +0300

python-oslotest (1:1.9.0-1) experimental; urgency=medium

  [ James Page ]
  * d/p/fix-import-of-mock.patch: Dropped, as python 3.2 is no longer a
    target.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 15:07:14 +0000

python-oslotest (1:1.7.0-2) experimental; urgency=medium

  * Removed python{3}-os-client-config form build-dependencies, as it makes a
    build-dependency loop.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Jul 2015 19:30:03 +0200

python-oslotest (1:1.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - d/control: Add BD on python{3}-os-client-config.
    - d/p/*: Refresh.
  * Update watch file to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 17:19:41 +0100

python-oslotest (1:1.6.0-2) experimental; urgency=medium

  * Bump epoch to allow resync with Ubuntu.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Jun 2015 09:50:48 +0100

python-oslotest (1.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
    - d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Jun 2015 10:22:31 +0100

python-oslotest (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated a few versions for (build)-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2015 10:28:33 +0100

python-oslotest (1.2.0-2) experimental; urgency=medium

  * Removed extra space in long desc of python-oslotest-doc (Closes: #772583).

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Jan 2015 15:43:37 +0100

python-oslotest (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebases the six.moves patch.
  * Upstream removed the .sh extension for the oslo_debug_helper, updates the
    debian/rules accordingly.
  * Added dh-python as build-depends.
  * Now using Build-Depends-Indep too, and moved many build-depends there.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 13:28:36 +0000

python-oslotest (1.1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2014 08:00:09 +0000

python-oslotest (1.1.0.0~a2-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Added patch for the import of the mock module in Python 3.2.
  * Added alternative handling for /usr/bin/oslo_debug_helper.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 20:12:19 +0800

python-oslotest (1.1.0.0~a1-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental before Jessie's freeze.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Sep 2014 15:20:43 +0800

python-oslotest (1.0.0-2) unstable; urgency=medium

  * build-depends: dropped python-hacking, added python{3,}-pbr.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Jun 2014 00:58:30 +0800

python-oslotest (1.0.0-1) unstable; urgency=medium

  [ Thomas Bechtold ]
  * debian/watch: Use github tags.

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 05:54:51 +0000

python-oslotest (0.1-2) experimental; urgency=low

  * Do not run unit tests using python 2.6.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2014 23:36:09 +0800

python-oslotest (0.1-1) experimental; urgency=low

  * Initial release. (Closes: #742310)

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2014 17:25:32 +0800

